2

I want to reproduce CVE-2022-32250. I found this this git repo as a repository for the exploit and a code proof of concept provided here.

So I installed Ubuntu 22.04 on VM, and installed kernel version 5.15.0-27, then installed libmnl-dev / libnfmnl-dev, and tried to run both of the aforementioned codes, but none of them succeeded!

Can you please help me or tell me what is missing?

enter image description here

2
  • 1
    It will be a pretty big job to figure this out. Next step is to edit the exploit to add some debug, to see where it's failing.
    – paj28
    Commented Nov 12, 2022 at 23:16
  • It's not the easiest thing to do when you are beginner, and it's my first cve to investigate, i just wanted a way to ensure that my environment is vulnerable or not :)
    – E Epsylon
    Commented Nov 12, 2022 at 23:18

0

You must log in to answer this question.

Browse other questions tagged .